libcdr::CDRLineStyle Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions

| CDRLineStyle ()
| CDRLineStyle (unsigned short lt, unsigned short ct, unsigned short jt, double lw, double st, double a, const CDRColor &c, const std::vector< unsigned > &da, const CDRPath &sm, const CDRPath &em)

## Public Attributes

unsigned short | lineType
unsigned short | capsType
unsigned short | joinType
double | lineWidth
double | stretch
double | angle
CDRColor | color
std::vector< unsigned > | dashArray
CDRPath | startMarker
CDRPath | endMarker

## Constructor & Destructor Documentation

## CDRLineStyle() [1/2]

libcdr::CDRLineStyle::CDRLineStyle | ( |  | ) |

inline

## CDRLineStyle() [2/2]

libcdr::CDRLineStyle::CDRLineStyle | ( | unsigned short | lt,
|  | unsigned short | ct,
|  | unsigned short | jt,
|  | double | lw,
|  | double | st,
|  | double | a,
|  | const CDRColor & | c,
|  | const std::vector< unsigned > & | da,
|  | const CDRPath & | sm,
|  | const CDRPath & | em )

inline

## Member Data Documentation

## angle

double libcdr::CDRLineStyle::angle

Referenced by CDRLineStyle(), CDRLineStyle(), and libcdr::CMXParser::getLineStyle().

## capsType

unsigned short libcdr::CDRLineStyle::capsType

Referenced by CDRLineStyle(), CDRLineStyle(), and libcdr::CMXParser::getLineStyle().

## color

CDRColor libcdr::CDRLineStyle::color

Referenced by libcdr::CDRParser::_readX6StyleString(), CDRLineStyle(), CDRLineStyle(), and libcdr::CMXParser::getLineStyle().

## dashArray

std::vector<unsigned> libcdr::CDRLineStyle::dashArray

Referenced by CDRLineStyle(), CDRLineStyle(), and libcdr::CMXParser::getLineStyle().

## endMarker

CDRPath libcdr::CDRLineStyle::endMarker

Referenced by CDRLineStyle(), and CDRLineStyle().

## joinType

unsigned short libcdr::CDRLineStyle::joinType

Referenced by CDRLineStyle(), CDRLineStyle(), and libcdr::CMXParser::getLineStyle().

## lineType

unsigned short libcdr::CDRLineStyle::lineType

Referenced by libcdr::CDRParser::_readX6StyleString(), CDRLineStyle(), CDRLineStyle(), and libcdr::CMXParser::getLineStyle().

## lineWidth

double libcdr::CDRLineStyle::lineWidth

Referenced by libcdr::CDRParser::_readX6StyleString(), CDRLineStyle(), CDRLineStyle(), and libcdr::CMXParser::getLineStyle().

## startMarker

CDRPath libcdr::CDRLineStyle::startMarker

Referenced by CDRLineStyle(), and CDRLineStyle().

## stretch

double libcdr::CDRLineStyle::stretch

Referenced by CDRLineStyle(), CDRLineStyle(), and libcdr::CMXParser::getLineStyle().

The documentation for this struct was generated from the following file:

- CDRTypes.h